Bug 42943 - [IVB] Boot with a vga monitor can't light the DP screen while plugin it
[IVB] Boot with a vga monitor can't light the DP screen while plugin it
Status: VERIFIED FIXED
Product: DRI
Classification: Unclassified
Component: DRM/Intel
unspecified
Other All
: high normal
Assigned To: Jesse Barnes
:
Depends on:
Blocks: 42991 44622
  Show dependency treegraph
 
Reported: 2011-11-15 02:13 UTC by Guang Yang
Modified: 2012-04-15 19:28 UTC (History)
5 users (show)

See Also:


Attachments
the log from intel_reg_dumper (11.44 KB, text/plain)
2011-11-15 02:13 UTC, Guang Yang
no flags Details
fixup dp bpc calculations (3.32 KB, patch)
2012-01-26 03:53 UTC, Daniel Vetter
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Guang Yang 2011-11-15 02:13:59 UTC
Created attachment 53567 [details]
the log from intel_reg_dumper

System Environment:
-------------------
Platform: IvyBridge
Kernel: (master)c3b92c8787367a8bb53d57d9789b558f1295cc96

Bug Description:
--------------------
    While we boot only with monitor connnect to VGA,then we plug in DP port,the DP screen turn to be black.if we unplug the DP monitor, the VGA monitor can display normally.
    BTW,if we boot with Dp monitor and plug in a VGA port,the DP screen will turn to be black,and the VGA monitor can display normally.Meanwhile, if we unplug the VGA monitor, the DP monitor will still be black.


Reproduce steps
-------------------------
1, boot up system with VGA monitor only
2, plug in a Dp monitor
           or
1, boot up system with Dp monitor only
2, plug in a VGA monitor

dmesg information is only the error :
[drm:pch_irq_handler] *ERROR* PCH poison interrupt
so I add the log from intel_reg_dumper .
Comment 1 Chris Wilson 2012-01-10 10:49:13 UTC
Maybe related bug 44305.
Comment 2 Daniel Vetter 2012-01-26 03:53:06 UTC
Created attachment 56179 [details] [review]
fixup dp bpc calculations

Can you pleast try this patch?
Comment 3 Guang Yang 2012-02-07 01:35:14 UTC
(In reply to comment #2)
> Created attachment 56179 [details] [review] [review]
> fixup dp bpc calculations
> Can you pleast try this patch?
This patch can resolve this problem with latest drm-intel-testing.
Comment 4 Chris Wilson 2012-04-14 06:27:07 UTC
commit c898261c0dad617f0f1080bedc02d507a2fcfb92
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Jan 25 08:16:25 2012 -0800

    drm/i915: Force explicit bpp selection for intel_dp_link_required
    
    It is never correct to use intel_crtc->bpp in intel_dp_link_required,
    so instead pass an explicit bpp in to this function. This patch
    only supports 18bpp and 24bpp modes, which means that 10bpc modes will
    be computed incorrectly. Fixing that will require more extensive
    changes, and so must be addressed separately from this bugfix.
    
    intel_dp_link_required is called from intel_dp_mode_valid and
    intel_dp_mode_fixup.
    
    * intel_dp_mode_valid is called to list supported modes; in this case,
      the current crtc values cannot be relevant as the modes in question
      may never be selected. Thus, using intel_crtc->bpp is never right.
    
    * intel_dp_mode_fixup is called during mode setting, but it is run
      well before ironlake_crtc_mode_set is called to set intel_crtc->bpp,
      so using intel_crtc-bpp in this path can only ever get a stale
      value.
    
    Cc: Lubos Kolouch <lubos.kolouch@gmail.com>
    Cc: Adam Jackson <ajax@redhat.com>
    Cc: stable@vger.kernel.org
    Reviewed-by: Daniel Vetter <daniel.vetter@ffwll.ch>
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=42263
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=44881
    Tested-by: Dave Airlie <airlied@redhat.com>
    Tested-by: camalot@picnicpark.org (Dell Latitude 6510)
    Tested-by: Roland Dreier <roland@digitalvampire.org>
    Signed-off-by: Keith Packard <keithp@keithp.com>
Comment 5 Guang Yang 2012-04-15 19:28:31 UTC
tested by guang yang, the -fixes branch contains this patch.